=== debian/changelog ===
performous (1.0+git150721-1build1) wily; urgency=medium

  * No-change rebuild for libxml++ soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Sep 2015 08:28:21 +0000

performous (1.0+git150721-1) unstable; urgency=medium

  * Imported Upstream version 1.0+git150721.
    - Fixes FTBFS with GCC-5. (Closes: #778059)
  * Add README.source.
  * Drop all patches. They were merged upstream.
    Use ffmpeg instead of avconv again because the project transitions from
    libav to ffmpeg.
  * performous-tools: Depend on ffmpeg instead of libav-tools.
  * d/control: New build-dependency libepoxy-dev.
  * d/control: Remove libglew-dev from Build-Depends. No longer needed.
  * d/copyright: Mention new BSL-1.0 licensed files.

 -- Markus Koschany <apo@gambaru.de>  Sun, 09 Aug 2015 13:44:19 +0200

performous (1.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Markus Koschany <apo@gambaru.de>  Tue, 28 Apr 2015 22:45:04 +0200
