=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Build without Altivec on ppc64el to prevent build failures
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),ppc64el)
export DEB_CXXFLAGS_MAINT_APPEND := -mno-altivec
endif


%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DCMAKE_INSTALL_PREFIX=/usr

override_dh_install:
	dh_install --fail-missing
	$(RM) debian/performous-tools/usr/games/performous

override_dh_strip:
	dh_strip --dbg-package=performous-dbg
