## performous 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include(GetGitRevisionDescription)
 git_describe(PROJECT_VERSION --tags)
 if(NOT PROJECT_VERSION)
-	set(PROJECT_VERSION "1.0+")
+	set(PROJECT_VERSION "1.1+")
 endif()
 
 message("Building ${PROJECT_NAME} ${PROJECT_VERSION}")
