=== debian/changelog ===
performous (1.1-2build2) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 16:41:24 +0000

performous (1.1-2build1) zesty; urgency=medium

  * Rebuild against imagemagick libs.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 19 Jan 2017 09:20:53 +0530

performous (1.1-2) unstable; urgency=medium

  * Suggest fretsonfire-songs-muldjord and fretsonfire-songs-sectoid music
    packages. (Closes: #425898)
  * Declare compliance with Debian Policy 3.9.8.
  * Switch to compat level 10.

 -- Markus Koschany <apo@debian.org>  Sun, 27 Nov 2016 23:13:53 +0100

performous (1.1-1) unstable; urgency=medium

  * Imported Upstream version 1.1.
  * Add get-orig-source target.
  * Drop all patches. Applied upstream.
  * Drop README.source.

 -- Markus Koschany <apo@debian.org>  Wed, 27 Jan 2016 20:21:45 +0100

performous (1.0+git150721-3) unstable; urgency=medium

  * Drop performous-dbg package because the automatic -dbgsym package
    has replaced it.
  * debian/control: Replace fonts-droid with fonts-noto-mono. (Closes: #804685)

 -- Markus Koschany <apo@debian.org>  Sun, 17 Jan 2016 17:53:56 +0100

performous (1.0+git150721-2) unstable; urgency=medium

  * Add ffmpeg_2.9.patch.
    Fix FTBFS with upcoming ffmpeg 2.9 transition.
    Thanks to Andreas Cadhalpun for the report and patch. (Closes: #803853)
  * Add reproducible-build.patch and make the build reproducible by
    removing the __DATE__ macro.
  * Update my e-mail address.
  * Vcs-Browser: Use https.

 -- Markus Koschany <apo@debian.org>  Sun, 08 Nov 2015 21:19:32 +0100
