=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Miriam Ruiz <miriam@debian.org>,
- Markus Koschany <apo@gambaru.de>
+ Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper (>= 10),
  gettext,
  help2man,
  libasound2-dev,
@@ -29,17 +29,20 @@
  libxml++2.6-dev,
  pkg-config,
  portaudio19-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-games/performous.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/performous.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/performous.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/performous.git
 Homepage: http://performous.org/
 
 Package: performous
 Architecture: any
 Depends:
- fonts-droid,
+ fonts-noto-mono,
  ${misc:Depends},
  ${shlibs:Depends}
+Suggests:
+ fretsonfire-songs-muldjord,
+ fretsonfire-songs-sectoid
 Description: karaoke game that allows user supplied songs
  A karaoke, band and dancing game where one or more players perform a song
  and the game scores their performances. Supports songs in UltraStar,
@@ -67,18 +70,3 @@
  This package includes some tools for converting original Singstar DVDs to
  the format used by Performous.
 
-Package: performous-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends:
- performous (= ${binary:Version}) | performous-tools (= ${binary:Version}),
- ${misc:Depends}
-Description: karaoke game that allows user supplied songs - debug
- A karaoke, band and dancing game where one or more players perform a song
- and the game scores their performances. Supports songs in UltraStar,
- Frets on Fire and StepMania formats. Microphones and instruments from
- SingStar, Guitar Hero and Rock Band as well as some dance pads are
- autodetected.
- .
- This package includes the debugging symbols.
