=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -21,5 +21,5 @@
 	dh_install --fail-missing
 	$(RM) debian/performous-tools/usr/games/performous
 
-override_dh_strip:
-	dh_strip --dbg-package=performous-dbg
+get-orig-source:
+	uscan --download-current-version --force-download
