## performous 1.1%2Bgit20181118

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,22 +26,23 @@
 	add_definitions("-DNDEBUG")
 endif()
 
-# Enable C++11 support and other compiler flags...
+# Enable C++14 support and other compiler flags...
 if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
 	execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
 	message("Detected GCC version ${GCC_VERSION}")
-	if (GCC_VERSION VERSION_GREATER 4.7 OR GCC_VERSION VERSION_EQUAL 4.7)
-		set(CMAKE_CXX_FLAGS "-std=c++11 -Wall -Wextra -fcx-limited-range ${CMAKE_CXX_FLAGS}")
-	elseif (GCC_VERSION VERSION_GREATER 4.6 OR GCC_VERSION VERSION_EQUAL 4.6)
-		set(CMAKE_CXX_FLAGS "-std=c++0x -Wall -Wextra -fcx-limited-range ${CMAKE_CXX_FLAGS}")
-		add_definitions("-Doverride=")  # Hack: GCC 4.6 doesn't understand C++11 "override" keyword
+	if (GCC_VERSION VERSION_GREATER 7 OR GCC_VERSION VERSION_EQUAL 7)
+		set(CMAKE_CXX_FLAGS "-std=c++14 -Wall -Wextra -fcx-limited-range ${CMAKE_CXX_FLAGS}")
+	elseif (GCC_VERSION VERSION_GREATER 4.8 OR GCC_VERSION VERSION_EQUAL 4.8)
+		set(CMAKE_CXX_FLAGS "-std=c++1y -Wall -Wextra -Wno-attributes -Wno-deprecated-declarations -fcx-limited-range ${CMAKE_CXX_FLAGS}")
+		message(WARNING "Your GCC is rather old, disabling some useful compiler warnings (GCC 7+ or Clang 5+ recommended for proper C++17 support).")
 	else()
-		message(FATAL_ERROR "Your GCC compiler does not support c++11, please install at least gcc 4.6")
+		message(FATAL_ERROR "Your C++ compiler is too old, please upgrade.")
 	endif()
 endif()
 
 if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
-	set(CMAKE_CXX_FLAGS "-std=c++11 -Wall -Wextra ${CMAKE_CXX_FLAGS}")
+	# Note: AUTO_PTR is for Boost which won't compile with C++17 otherwise (fixed in Boost git but not in 1.66)
+	set(CMAKE_CXX_FLAGS "-std=c++1z -Wall -Wextra -D_LIBCPP_ENABLE_CXX17_REMOVED_AUTO_PTR ${CMAKE_CXX_FLAGS}")
 endif()
 
 if(WIN32)
@@ -60,22 +61,18 @@
 mark_as_advanced(LOCALE_DIR)
 
 find_package(Gettext)
-find_package(Msgfmt)
-if(Gettext_FOUND AND Msgfmt_FOUND)
+if(Gettext_FOUND)
 	message(STATUS "Localization enabled: Building and installing .mo files")
 	add_subdirectory(lang)
 else()
-	message(STATUS "Localization disabled: Gettext or Msgfmt missing")
+	message(STATUS "Localization disabled: Gettext tools (msgfmt) missing")
 endif()
+
+include_directories(${CMAKE_CURRENT_SOURCE_DIR}/ced)
 
 add_subdirectory(data)
 add_subdirectory(game)
-
-option(ENABLE_TOOLS "Enable building of song extraction utilities for SingStar and Guitar Hero." ON)
-if(ENABLE_TOOLS)
-	add_subdirectory(tools)
-endif()
-
+add_subdirectory(ced)
 add_subdirectory(docs)
 
 if(WIN32)
@@ -86,7 +83,7 @@
 include(CPack)
 SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "Niek Nooijens")
 SET(CPACK_PACKAGE_CONTACT "nieknooijens@gmail.com")
-SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6, libavcodec54, libavformat54, libavresample1, libsdl2-2.0-0, libportaudiocpp0, libboost-all-dev, libswscale2, libxml++2.6-2, libopencv-dev, librsvg2-2, libpango-1.0-0, libcairo2, libjpeg8, libpng12-0, libportmidi0 ")
+SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6, libavcodec54, libavformat54, libswresample2, libsdl2-2.0-0, libportaudiocpp0, libboost-all-dev, libswscale2, libxml++2.6-2, libopencv-dev, librsvg2-2, libpango-1.0-0, libcairo2, libjpeg8, libpng12-0, libportmidi0 ")
 SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION_SUMMARY "A free music rhythm game similar to SingStar, Guitar Hero and DDR")
 SET(CPACK_DEBIAN_PACKAGE_VERSION ${PROJECT_VERSION})
 SET(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
