=== game/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 
-file(GLOB SOURCE_FILES "*.cc" "../common/image.cc")
-file(GLOB HEADER_FILES "*.hh" "../common/image.hh" "libda/*.hpp")
+file(GLOB SOURCE_FILES "*.cc")
+file(GLOB HEADER_FILES "*.hh" "libda/*.hpp")
 
 if(WIN32)
 	# We want to support all these version numbers:
@@ -42,6 +42,8 @@
 		# According to MinGW tools, we need to compile the rc file, and then link it into projects:
 		# windres foo.rc foores.o
 		# gcc -o foo.exe foo.o foores.o
+		find_library(WSOCK32_LIBRARY wsock32)
+		find_library(WS2_32_LIBRARY ws2_32)
 		if(NOT CMAKE_RC_COMPILER)
 			find_program(CMAKE_RC_COMPILER windres)
 		endif()
@@ -60,9 +62,18 @@
 
 # Libraries
 
-find_package(Boost 1.36 REQUIRED COMPONENTS thread date_time program_options regex filesystem system)
+find_package(Boost 1.36 REQUIRED COMPONENTS program_options filesystem iostreams system locale)
 include_directories(${Boost_INCLUDE_DIRS})
 list(APPEND LIBS ${Boost_LIBRARIES})
+
+if (Boost_VERSION VERSION_LESS 105500)
+	message("-- Using Boost < 1.55: defining BOOST_NO_CXX11_SCOPED_ENUMS")
+	set(CMAKE_CXX_FLAGS "-DBOOST_NO_CXX11_SCOPED_ENUMS ${CMAKE_CXX_FLAGS}")
+endif()
+
+find_package(ICU REQUIRED uc data i18n io)
+include_directories(${ICU_INCLUDE_DIRS})
+list(APPEND LIBS ${ICU_LIBRARIES})
 
 # LibEpoxy < 1.2 crashes with binary drivers (nvidia & fglrx) when creating shaders
 # (see https://github.com/anholt/libepoxy/issues/23 for the exact problem)
@@ -71,23 +82,13 @@
 list(APPEND LIBS ${LibEpoxy_LIBRARIES})
 
 # Find all the libs that don't require extra parameters
-foreach(lib ${OUR_LIBS} SDL2 PangoCairo LibRSVG LibXML++ AVFormat AVResample SWScale Z Jpeg Png PortAudio Fontconfig)
+foreach(lib ${OUR_LIBS} SDL2 PangoCairo LibRSVG LibXML++ AVFormat SWResample SWScale ZLIB JPEG PNG PortAudio Fontconfig GLM)
 	find_package(${lib} REQUIRED)
 	message(STATUS "${lib} includes: ${${lib}_INCLUDE_DIRS}")
 	include_directories(${${lib}_INCLUDE_DIRS})
 	list(APPEND LIBS ${${lib}_LIBRARIES})
 	add_definitions(${${lib}_DEFINITIONS})
 endforeach(lib)
-
-find_package(Gettext)
-if(Gettext_FOUND)
-	include_directories(${Gettext_INCLUDE_DIRS})
-	list(APPEND LIBS ${Gettext_LIBRARIES})
-	add_definitions("-DUSE_GETTEXT")
-	message(STATUS "Internationalization: Enabled")
-else()
-	message(STATUS "Internationalization: Disabled (libintl not found)")
-endif()
 
 option(ENABLE_MIDI "Enable support for MIDI hardware (e-drums with USB/MIDI connection)." ON)
 if(ENABLE_MIDI)
@@ -119,19 +120,35 @@
 	message(STATUS "Webcam support: Disabled (explicitly disabled)")
 endif()
 
+option(ENABLE_WEBSERVER "Enable webserver support (cpprestsdk)." ON)
+if(ENABLE_WEBSERVER)
+	foreach(lib CppRest)
+		find_package(${lib})
+	endforeach(lib)
+	if(CppRest_FOUND)
+		find_package(Boost 1.36 REQUIRED COMPONENTS chrono thread)
+		include_directories(${Boost_INCLUDE_DIRS})
+		list(APPEND LIBS ${Boost_LIBRARIES})
 
-if(APPLE)
-	# Needed for ffmpeg.cc to compile cleanly on OSX (it's a (unsigned long) long story)
-	add_definitions("-D__STDC_CONSTANT_MACROS")
-endif(APPLE)
+		include_directories(${CppRest_INCLUDE_DIRS})
+		list(APPEND LIBS ${CppRest_LIBRARIES})
+		message(STATUS "Webserver support: Enabled")
+		add_definitions("-DUSE_WEBSERVER")
+	else()
+		message(STATUS "Webserver support: Disabled (cpprestsdk not found)")
+	endif()
+else()
+	message(STATUS "Webserver support: Disabled (explicitly disabled)")
+endif()
 
-if(UNIX)
+if(UNIX AND NOT APPLE)
 	# Note: cannot use list APPEND here because it inserts semicolons instead of spaces
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
 	set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pthread")
-endif(UNIX)
+endif()
 
 if(WIN32)
+	add_definitions("-DEPOXY_SHARED")
 	option(MXE_HACK "Features horrible hacks, but is able to compile a static performous.exe (that may not work)." OFF)
 	mark_as_advanced(MXE_HACK)
 	if(MXE_HACK)
@@ -149,7 +166,12 @@
 
 # Build main executable
 add_executable(performous ${SUBSYSTEM_WIN32} ${SOURCES} ${SDL2_SOURCES})
+if(WIN32)
+  target_link_libraries(performous wsock32 ws2_32)
+endif()
 target_link_libraries(performous ${LIBS})
+target_link_libraries(performous ced)
+
 install(TARGETS performous DESTINATION ${BIN_INSTALL})
 
 set_target_properties(performous PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)  # Store library paths in executable
