=== debian/changelog ===
performous (1.1+git20181118-6) unstable; urgency=medium

  [ Frédéric Bonnard ]
  * Remove -mno-altivec on ppc64el as not needed anymore. (Closes: #1010095)

  [ Markus Koschany ]
  * Fix FTBFS with ffmpeg 5.
    Thanks to Dan Bungert for the patch. (Closes: #1004616)
  * Declare compliance with Debian Policy 4.6.2.
  * Switch to debhelper-compat = 13.
  * Use canonical VCS URI.
  * Remove dh_missing override and get-orig-source target. Both are obsolete.

 -- Markus Koschany <apo@debian.org>  Sat, 21 Jan 2023 19:20:54 +0100

performous (1.1+git20181118-5) unstable; urgency=medium

  * Team upload
  * Use swresample instead of deprecated avresample (Closes: #971322)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Sep 2021 10:00:34 +0200

performous (1.1+git20181118-4) unstable; urgency=medium

  * Team upload
  * Apply fixes from experimental branch to fix builds with latomic flag

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2020 12:12:49 +0100

performous (1.1+git20181118-3) unstable; urgency=medium

  * Team upload
  * New pango requires new harfbuzz, patch taken from Ubuntu that fixes FTBFS
    with pango from debian/experimental

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2020 11:19:20 +0100

performous (1.1+git20181118-2) unstable; urgency=medium

  * Readd performous-tools.links.
  * Fix FTBFS on armel/mips/mipsel and link against -latomic.
    Thanks to Adrian Bunk for the report and patch. (Closes: #914667)

 -- Markus Koschany <apo@debian.org>  Mon, 26 Nov 2018 12:21:08 +0100

performous (1.1+git20181118-1) unstable; urgency=medium

  * New upstream version 1.1+git20181118.
    - Fix FTBFS with Boost 1.67. (Closes: #914061)
      Thanks to Adrian Bunk for the report.
    - See README.source how the original tarball was created.
      The www directory contained Javascript files without source and was
      removed.
  * Drop deprecated menu file and xpm icon.
  * Update README.Debian
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Tighten B-D on libboost-all-dev.
  * Build-depend on libglm-dev and libcpprest-dev.

 -- Markus Koschany <apo@debian.org>  Sun, 25 Nov 2018 16:04:12 +0100
