=== debian/control ===
--- 
+++ 
@@ -7,31 +7,33 @@
  Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper-compat (= 13),
  gettext,
  help2man,
  libasound2-dev,
  libavcodec-dev,
  libavformat-dev,
- libavresample-dev,
- libboost-all-dev,
+ libswresample-dev,
+ libboost-all-dev (>= 1.67.0.1),
  libcairo2-dev,
  libepoxy-dev,
  libgl1-mesa-dev,
+ libglm-dev,
  libjpeg-dev,
  libmagick++-dev,
  libpango1.0-dev,
  libpng-dev,
  libportmidi-dev [linux-any],
+ libcpprest-dev,
  librsvg2-dev,
  libsdl2-dev,
  libswscale-dev,
  libxml++2.6-dev,
  pkg-config,
  portaudio19-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/performous.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/performous.git
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/games-team/performous.git
+Vcs-Browser: https://salsa.debian.org/games-team/performous
 Homepage: http://performous.org/
 
 Package: performous
