=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/performous-$1\.tar\.gz/ \
  https://github.com/performous/performous/releases .*/(\d\S*)\.tar\.gz
